Delete a credential
curl --request DELETE \
--url https://app.leadconduit.com/credentials/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/credentials/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"type": "user",
"package": "<string>",
"username": "<string>",
"password": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Account
Delete a credential
Deletes the credential matching the specified ID
DELETE
/
credentials
/
{id}
Delete a credential
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID of the credential to delete 24 character alpha-numeric BSON identifier
Pattern:
^[0-9a-fA-F]{24}$Example:
"5fd4371e940df5a34a3888b2"
Response
200 - application/json
OK
- Option 1
- Option 2
- Option 3
The ID of the credential which uniquely identifies it
Pattern:
^[0-9a-fA-F]{24}$Example:
"5fd4371e940df5a34a3888b2"
Friendly name for this credential
The type of model changes were performed on: user, token, oauth
Available options:
user The name of the LeadConduit integration package to which this credential belongs
The username to user for basic authentication
Minimum string length:
1The password to user for basic authentication
Minimum string length:
1